> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rixapi.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 音效生成

> 生成单次音效或可循环音效，可指定节拍与调性。

> [!TIP]
>
> 也可以用统一任务接口 `POST /v1/task/submit` 提交：`model` 填 `suno/sounds`，参数放进 `input`。两种写法效果与计费完全一样。

> [accordion] 任务结果
>
> 任务成功后，查询结果里产物的格式
>
> 任务成功后，`data.musics` 里是产出的曲目，一次 1 条。部分成功时按实际成功的条数计费。
>
> ```json theme={null}
> {
>   "code": "success",
>   "data": {
>     "task_id": "5adac6ee-...",
>     "action": "sounds",
>     "model": "suno/sounds",
>     "status": "SUCCESS",
>     "progress": "100%",
>     "submit_time": 1757800000000,
>     "finish_time": 1757800120000,
>     "musics": [
>       {
>         "music_id": "89b20862-...",
>         "title": "Rain on Tin Roof",
>         "tags": "lo-fi piano",
>         "audio_url": "https://...",
>         "image_url": "https://...",
>         "duration": 187.56
>       }
>     ]
>   }
> }
> ```
>
> **music\_id** `string` *required*
>
> 曲目 ID。续写、翻唱、分轨、导出等后续操作都填它。
>
> **title** `string`
>
> 标题。
>
> **tags** `string`
>
> 风格标签。
>
> **lyrics** `string`
>
> 歌词，纯伴奏没有这个字段。
>
> **audio\_url** `string`
>
> 音频地址，可直接下载。
>
> **image\_url** `string`
>
> 封面图地址。
>
> **image\_large\_url** `string`
>
> 大尺寸封面图地址。
>
> **video\_url** `string`
>
> 视频地址，没有视频时不返回。
>
> **duration** `number`
>
> 时长，单位秒。


## OpenAPI

````yaml cn/openapi/suno.json POST /suno/v2/sounds
openapi: 3.1.0
info:
  title: Suno API
  version: 1.0.0
  description: Suno 接口
servers:
  - url: https://api.ephone.ai
security:
  - bearerAuth: []
paths:
  /suno/v2/sounds:
    post:
      summary: 音效生成
      description: 生成单次音效或可循环音效，可指定节拍与调性。
      operationId: suno_sounds
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                mv:
                  type: string
                  enum:
                    - chirp-v6
                    - chirp-v6-wild
                    - chirp-v6-mini
                  default: chirp-v6
                  description: >-
                    **模型版本**：三个版本价格相同，按需要的风格选择。可选值：`chirp-v6`
                    v6（默认，均衡）；`chirp-v6-wild` v6 Wild（风格更奔放）；`chirp-v6-mini` v6
                    Mini（更快）。
                sound:
                  type: string
                  description: '**音效描述**：描述想要的音效，例如「一声轻柔的雨滴」。'
                type:
                  type: string
                  enum:
                    - one-shot
                    - loop
                  default: one-shot
                  description: >-
                    **音效类型**：单次触发的音效，还是可以无缝循环的音效。可选值：`one-shot` 单次触发；`loop`
                    无缝循环。
                bpm:
                  type: string
                  description: '**节拍**：每分钟拍数，1 到 300 之间。'
                key:
                  type: string
                  enum:
                    - C
                    - C#
                    - Cm
                    - C#m
                    - D
                    - D#
                    - Dm
                    - D#m
                    - F
                    - F#
                    - Fm
                    - F#m
                    - G
                    - G#
                    - Gm
                    - G#m
                    - A
                    - A#
                    - Am
                    - A#m
                    - B
                    - B#
                    - Bm
                    - B#m
                  description: '**调性**：音效所在的调。'
                audio_format:
                  type: string
                  enum:
                    - mp3
                    - m4a
                    - wav
                  description: >-
                    **输出格式**：成品音频的格式，不填默认 mp3。可选值：`mp3` MP3（通用）；`m4a` M4A；`wav`
                    WAV（无损）。
                notify_hook:
                  type: string
                  format: uri
                  description: >-
                    **推送地址**：任务结束后，把和查询结果相同的内容 POST 到这个地址（公网可以访问的 http / https
                    地址）。不传就自己查询。
              required:
                - sound
            example:
              mv: chirp-v6
              sound: 一声轻柔的雨滴
              type: one-shot
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
              example:
                code: success
                message: success
                data:
                  task_id: 5adac6ee-...
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: error
                message: music_id is required
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayError'
              example:
                error:
                  message: Invalid Token
                  type: rix_api_error
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayError'
              example:
                error:
                  message: Too many requests, please try again later
                  type: rix_api_error
components:
  schemas:
    SubmitResponse:
      type: object
      properties:
        code:
          type: string
          enum:
            - success
        message:
          type: string
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID。
          required:
            - task_id
      required:
        - code
        - data
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
    GatewayError:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '在请求头 `Authorization: Bearer YOUR_API_KEY` 里带上 API Key。'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.